<?php 
include( TEMPLATEPATH . '/includes/action.php');
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" <?php language_attributes(); ?>>
<head profile="http://gmpg.org/xfn/11">
<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />

<title><?php wp_title( '|', true, 'right' );?></title>

<?php
	if ( is_singular() && get_option( 'thread_comments' ) )
		wp_enqueue_script( 'comment-reply' );
		wp_head();
?>
<!-- REQUIRED CSS FILES -->
<link rel="stylesheet" type="text/css" href="<?php bloginfo('stylesheet_url'); ?>" media="screen" />
<link rel="stylesheet" href="<?php bloginfo("template_directory");?>/styles/prettyPhoto.css" type="text/css" media="screen" />


<?php 
$theme_css = get_option('ht_theme_stylesheet');
switch ($theme_css) {
	case 'Brown':
	echo '<link rel="stylesheet" type="text/css" href="'. get_bloginfo("template_directory").'/styles/brown/style.css" media="screen" />';
	break;

	case 'Black':
	echo '<link rel="stylesheet" type="text/css" href="'. get_bloginfo("template_directory").'/styles/black/style.css" media="screen" />';
	break;

	case 'Blue':
	echo '<link rel="stylesheet" type="text/css" href="'. get_bloginfo("template_directory").'/styles/blue/style.css" media="screen" />';
	break;
	
		case 'Grey':
	echo '<link rel="stylesheet" type="text/css" href="'. get_bloginfo("template_directory").'/styles/grey/style.css" media="screen" />';
	break;
	
		case 'Green':
	echo '<link rel="stylesheet" type="text/css" href="'. get_bloginfo("template_directory").'/styles/light_green/style.css" media="screen" />';
	break;
	
		case 'Pink':
	echo '<link rel="stylesheet" type="text/css" href="'. get_bloginfo("template_directory").'/styles/pink/style.css" media="screen" />';
	break;
	
		case 'Silver':
	echo '<link rel="stylesheet" type="text/css" href="'. get_bloginfo("template_directory").'/styles/silver/style.css" media="screen" />';
	break;
	
		case 'Red':
	echo '<link rel="stylesheet" type="text/css" href="'. get_bloginfo("template_directory").'/styles/red/style.css" media="screen" />';
	break;
	
		case 'Orange':
	echo '<link rel="stylesheet" type="text/css" href="'. get_bloginfo("template_directory").'/styles/orange/style.css" media="screen" />';
	break;
	
	default:
	echo '';

}?>
<!-- RSS FEED -->
<link rel="alternate" type="application/rss+xml" title="<?php bloginfo('name'); ?> RSS Feed" href="<?php if ( get_option('ht_feedburner_url') <> "" ) { echo get_option('ht_feedburner_url'); } else { echo get_bloginfo_rss('rss2_url'); } ?>" />
<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />

<!-- REQUIRED JS FILES -->
<script type="text/javascript" src="<?php bloginfo("template_directory");?>/scripts/jquery.js"></script>
<script type="text/javascript" src="<?php bloginfo("template_directory");?>/scripts/jquery.prettyPhoto.js"></script>

<script type="text/javascript" src="<?php bloginfo("template_directory");?>/scripts/twitter.min.js"></script>
<script type="text/javascript" src="<?php bloginfo("template_directory");?>/scripts/jquery.easing.1.3.js"></script>
<script type="text/javascript" src="<?php bloginfo("template_directory");?>/scripts/jquery.cycle.all.min.js"></script>
<?php
$cufon_status = get_option('ht_cufon_status');

if($cufon_status=='false'){
?>
<script type="text/javascript" src="<?php bloginfo("template_directory");?>/scripts/cufon-yui.js"></script>
<?php 
$cufon_font = get_option('ht_cufon_font');
switch( $cufon_font ) {
	
	case 'Josefin Sans':
	?>
    <script type="text/javascript" src="<?php bloginfo("template_directory");?>/scripts/Josefin_Sans.font.js"></script>
    <?php
	break;
	
	case 'Droid Sans':
	?>
	<script type="text/javascript" src="<?php bloginfo("template_directory");?>/scripts/Droid_Sans.font.js"></script>
    <?php
	break;

	case 'Cardo':
	?>
	<script type="text/javascript" src="<?php bloginfo("template_directory");?>/scripts/Cardo.font.js"></script>
    <?php
	break;
	
	case 'Cantarell':
	?>
	<script type="text/javascript" src="<?php bloginfo("template_directory");?>/scripts/Cantarell.font.js"></script>
    <?php
	break;
	
	case 'Vollkorn':
	?>
	<script type="text/javascript" src="<?php bloginfo("template_directory");?>/scripts/Vollkorn.font.js"></script>
    <?php
	break;
	
	case 'DejaVu Sans':
	?>
	<script type="text/javascript" src="<?php bloginfo("template_directory");?>/scripts/DejaVu_Sans.font.js"></script>

    <?php
	break;
	
	case 'DejaVu Serif':
	?>
	<script type="text/javascript" src="<?php bloginfo("template_directory");?>/scripts/DejaVu_Serif.font.js"></script>
    <?php
	break;
	
	default:
	?>
		<script type="text/javascript" src="<?php bloginfo("template_directory");?>/scripts/Droid_Sans.font.js"></script>
	<?php
}
}
?>



<script type="text/javascript" src="<?php bloginfo("template_directory");?>/scripts/custom.js"> </script>

<?php  $slider_speed = (int) get_option('ht_slideshow_speed'); ?>

<!-- FAVICON -->
<link rel="shortcut icon" type="image/x-icon" href="<?php echo get_option('ht_favicon_url');?>" />
<meta name="slider_speed" content="<?php echo $slider_speed; ?>" />
</head>
<body <?php body_class(); ?>>
<div id="header-wrapper">
  <div id="header">
    <div id="logo">
    <a title="<?php bloginfo("description");?>" href="<?php echo get_option("home");?>">
    
      <?php if(trim(get_option('ht_logo_url'))<>""){ ?>
   
    <img src="<?php echo get_option('ht_logo_url');?>" alt="<?php bloginfo('description'); ?>" />
    <?php }else {?>
    <img src="<?php bloginfo("template_directory");?>/images/logo.png" alt="Logo" />
    <?php }?>
    </a>
    </div>
    <div id="nav-wrapper" class="jqueryslidemenu">
<?php
$params = array('container' => '', 'menu_id' => 'nav', 'theme_location'=> 'nav');
wp_nav_menu($params);
?>
    </div>
  </div>
</div>
