<?php
/*
 * Highthemes.com Admin Framework
 * Twitter ID: theHighThemes
 */



function highthemes_theme_options(){
	global $pagehook, $theme_name, $sidehook;

	add_filter('screen_layout_columns', 'on_screen_layout_columns', 10, 2);
	$icon = get_bloginfo('template_url') .'/images/1616.png';
	
	$pagehook =  add_menu_page ($theme_name . ' Options', $theme_name, 8,'functions.php', 'hight_show_page', $icon);
	add_submenu_page('functions.php', $theme_name, 'Theme Options', 8, 'functions.php','hight_show_page');
	add_action('load-'.$pagehook, 'hight_load_page');
	
	// Sidebars Metabox
	$sidehook = add_submenu_page('functions.php', 'Sidebars', 'Sidebars', 8, 'sidebars','hight_sidebars');
	add_action('load-'.$sidehook, 'ht_sidebars_page');
	
}

/*
 * Screen Settings
 */
function on_screen_layout_columns($columns, $screen) {
	global $pagehook, $sidehook;
	if ($screen == $pagehook) {
		$columns[$pagehook] = 2;
	}
		if ($screen == $sidehook) {
		$columns[$sidehook] = 2;
	}
	return $columns;
}


/*
 * Load sidebars page
 */
 
require_once ("sidebars/sidebars.php");


/*
 * Main Options
 */

function hight_load_page(){
	global $pagehook, $hight_options;

	if(isset($_POST['Submit'])){


		foreach ($hight_options as $value) {

			foreach( $value as $array)
			{

				if($array['type'] == 'text')
				{
					$id = $array['id'];
					update_option( $id, $_REQUEST[ $id ]);
				}// end text if

				elseif($array['type'] == 'textarea')
				{
					$id = $array['id'];
					update_option( $id, $_REQUEST[ $id ]);
				}//

				elseif($array['type'] == 'checkbox'){

					if(isset( $_REQUEST[ $array['id'] ]))
					{
						update_option( $array['id'], $_REQUEST[ $array['id'] ] );
					} else

					{
						update_option( $array['id'] , 'false' );

					}

				}// end checkbox



				elseif($array['type'] == 'radio'){

					if(isset( $_REQUEST[ $array['id'] ]))
					{
						update_option( $array['id'], $_REQUEST[ $array['id'] ] );
					} else

					{
						delete_option( htmlentities($array['id'] ));

					}

				}// end checkbox


				elseif($array['type'] == 'select'){

					if(isset( $_REQUEST[ $array['id'] ]))
					{
						update_option( $array['id'], htmlentities($_REQUEST[ $array['id'] ] ));
					}



					else {
						delete_option( htmlentities($array['id'] ));

					}

				}




				elseif($array['type'] == 'select_page'){

					if(isset( $_REQUEST[ $array['id'] ]))
					{
						update_option( $array['id'], htmlentities($_REQUEST[ $array['id'] ] ));
					}


					else {
						delete_option( htmlentities($array['id'] ));

					}

				}


			}

		}

		header("Location: themes.php?page=functions.php&saved=true");
		die;
	}
	wp_enqueue_script('common');
	wp_enqueue_script('wp-lists');
	wp_enqueue_script('postbox');
	add_meta_box('save_form_box', 'Save Settings', 'save_form_box', $pagehook, 'side', 'high');

	//now let's register our meta boxes
	highthemes_register_metaboxes($hight_options);

}


function hight_show_page() {
	global $screen_layout_columns, $pagehook, $theme_name, $ht_ver;
?>
<div class="wrap">
<div class="icon32" id="hight-icon"><br />
</div>
<h2>HighThemes <?php echo $theme_name;?> Settings (ver <?php echo "$ht_ver";?>)</h2>
<?php if(isset($_REQUEST['saved']) && $_REQUEST['saved']=='true'){ ?>
<div class="updated fade" id="message"
	style="background-color: rgb(255, 251, 204);">
<p><strong>Settings saved.</strong></p>
</div>
<?php }?>
<form method="post" action=""><?php
?> <?php wp_nonce_field('closedpostboxes', 'closedpostboxesnonce', false ); ?>
<?php wp_nonce_field('meta-box-order', 'meta-box-order-nonce', false ); ?>
<input type="hidden" name="action" value="ht_save_options" />
<div id="poststuff"
	class="metabox-holder<?php echo 2 == $screen_layout_columns ? ' has-right-sidebar' : ''; ?>">
<div id="side-info-column" class="inner-sidebar"><?php do_meta_boxes($pagehook, 'side', NULL); ?>
</div>
<div id="post-body" class="has-sidebar">
<div id="post-body-content" class="has-sidebar-content"><?php do_meta_boxes($pagehook, 'normal', NULL); ?>
<p><input type="submit" value="Save Changes" class="button-primary" name="Submit" /></p>
</div>
</div>
<br class="clear" />
</div>
</form>
</div>
<script type="text/javascript">
		//<![CDATA[
		jQuery(document).ready( function($) {
			// close postboxes that should be closed
			$('.if-js-closed').removeClass('if-js-closed').addClass('closed');
			// postboxes setup
			postboxes.add_postbox_toggles('<?php echo $pagehook; ?>');
		});
		//]]>
	</script>
<?php
}

// registering metaboxes to admin page
function highthemes_register_metaboxes($array)
{
	global $pagehook;

	foreach($array as $field){

		add_meta_box($field[0]['id'], $field[0]['name'], $field[0]['id'], $pagehook, $field[0]['context'], 'core');
		//print_r($field) . "<br>";


	}
	
	


}


// add something to the admin head
function highthemes_admin_head() {
	echo '<link rel="stylesheet" type="text/css" href="'.get_bloginfo('template_directory').'/options/admin-style.css" media="screen" />';

}

function highthemes_generate_fields($arr_data){

	array_shift($arr_data);
	$output .= '<table class="form-table">
<tbody>';

	foreach($arr_data as $index=>$field)
	{

		switch ( $field['type'] ) {

			case 'text':

				$val = stripslashes($field['std']);
				if ( get_option( $field['id'] ) != "") { $val = htmlentities(stripslashes(get_option($field['id']))); }

				if(isset($field['options'])){
					$t_options = $field['options'];
					$output .= '
					<tr valign="top">
					<th scope="row">
					<label for="'.$field['id'].'">'.$field['name'].'</label></th>
					<td>
					<input class="'.$t_options['class'].'" name="'. $field['id'] .'" id="'. $field['id'] .
					'" type="'. $field['type'] .'" value="'. $val .'" />
			
					<span class="description">'.$field['desc'].'</span>
					</td>
					</tr>
							';
				}
					else
				{
				$output .= '
					<tr valign="top">
					<th scope="row">
					<label for="'.$field['id'].'">'.$field['name'].'</label></th>
			
					<td><input class="regular-text" name="'. $field['id'] .'" id="'. $field['id'] .
					'" type="'. $field['type'] .'" value="'. $val .'" />
			
					<br />
					<span class="description">'.$field['desc'].'</span>
					</td>
					</tr>
						';
						
				}
				break;


			case 'sub_heading':
				$val = stripslashes($field['std']);
				$output .= '
				<tr valign="top" style="background:#eee;border-bottom:1px solid #999">
					<th scope="row"><strong>
			'.$field['name'].'</strong></th>
			
			<td>
			<span class="description">'.$field['desc'].'</span>
			</td>
			</tr>
			';
				break;


			case 'delimiter':
				$val = stripslashes($field['std']);
				$output .= '
				<tr valign="top" style="">
					<th scope="row">
			&nbsp;</th>
			
			<td>
			<span >&nbsp;</span>
			</td>
			</tr>
			';
				break;


			case 'select':

				$output .= '<tr valign="top">
					<th scope="row">
			<label for="'.$field['id'].'">'.$field['name'].'</label></th>
			
			<td>
			<select name="'. $field['id'] .'" id="'. $field['id'] .'">';

				$select_value = get_option( $field['id']);

				foreach ($field['options'] as $option) {

					$selected = '';

					if($select_value != '') {
						if ( $select_value == $option) { $selected = ' selected="selected"';}
					} else {
						if ($field['std'] == $option) { $selected = ' selected="selected"'; }
					}

					$output .= '<option'. $selected .'>';
					$output .= $option;
					$output .= '</option>';
				}
				$output .= '</select><br /><span class="description">'.$field['desc'].'</span>
			</td>
			</tr>';


				break;


			case 'select_page':

				$output .= '<tr valign="top">
					<th scope="row">
			<label for="'.$field['id'].'">'.$field['name'].'</label></th>
			
			<td>
			<select name="'. $field['id'] .'" id="'. $field['id'] .'">';

				$select_value = get_option( $field['id']);

				foreach ($field['options'] as $value=>$option) {

					$selected = '';

					if($select_value != '') {
						if ( $select_value == $value) { $selected = ' selected="selected"';}
					} else {
						if ($field['std'] == $option) { $selected = ' selected="selected"'; }
					}

					$output .= '<option'. $selected .' value="'.$value.'">';
					$output .= $option;
					$output .= '</option>';
				}
				$output .= '</select><br /><span class="description">'.$field['desc'].'</span>
			</td>
			</tr>';


				break;


			case 'textarea':
				$ta_options = $field['options'];
				$ta_value = $field['std'];
				if( get_option($field['id']) != "") { $ta_value = htmlentities(stripslashes(get_option($field['id']))); }
				$output .= '<tr valign="top">
					<th scope="row">
			<label for="'.$field['id'].'">'.$field['name'].'</label></th>
			
			<td>
			<textarea name="'. $field['id'] .'" id="'. $field['id'] .'" cols="'. $ta_options['cols'] .'" rows="'.$ta_options['rows'].'">'.$ta_value.'</textarea>
			<p class="description">'.$field['desc'].'</p>
			</td>
			</tr>';

				break;
				
				
				
			case "radio":

				$select_value = get_option( $field['id']);


				$output .= '<tr valign="top">
					<th scope="row">
					<label for="'.$field['id'].'">'.$field['name'].'</label></th>
			
					<td>'; 
				foreach ($field['options'] as $key => $option)
				{

					$checked = '';
					if($select_value != '') {
						if ( $select_value == $key) { $checked = ' checked="checked"'; }
					} else {
						if ($field['std'] == $key) { $checked = ' checked="checked"'; }
					}
					$output .= '<input type="radio" name="'. $field['id'] .'"  value="'. $key .'" '. $checked .' />' . $option .'<br />';

				}

				$output .= '<br /><span class="description">'.$field['desc'].'</span></td></tr>'; 
				break;

			case "checkbox":

				$std = $field['std'];

				$saved_std = get_option($field['id']);

				$checked = '';

				if(!empty($saved_std)) {
					if($saved_std == 'true') {
						$checked = 'checked="checked"';
					}
					else{
						$checked = '';
					}
				}
				elseif( $std == 'true') {
					$checked = 'checked="checked"';
				}
				else {
					$checked = '';
				}

				$output .= '<tr valign="top">
					<th scope="row">
			<label for="'.$field['id'].'">'.$field['name'].'</label></th>
			<td>
			<input type="checkbox" class="checkbox" name="'.  $field['id'] .'" id="'. $field['id'] .'" value="true" '. $checked .' /> 
			<span class="description">'.$field['desc'].'</span></td></tr>';

			break;
 
 
}
}

$output .= '</tbody></table>';
return $output;
}

?>
