<?php
/*
 * HighThemes.com Custom Shortcodes Functions
 */


/*
 * List Shortcodes
 */
function ht_arrow_list($atts, $content) {
	$content = str_replace('<ul>', '<ul class="arrowlist">', do_shortcode($content));
	$content = preg_replace('#^<\/p>|<p>$#', '', $content);
	return $content;
}
add_shortcode("arrow_list", "ht_arrow_list");

function ht_check_list($atts, $content) {
	$content = str_replace('<ul>', '<ul class="checklist">', do_shortcode($content));
	$content = preg_replace('#^<\/p>|<p>$#', '', $content);
	return $content;
}
add_shortcode("check_list", "ht_check_list");


function ht_circle_list($atts, $content) {
	$content = str_replace('<ul>', '<ul class="bulletlist">', do_shortcode($content));
	$content = preg_replace('#^<\/p>|<p>$#', '', $content);
	return $content;
}
add_shortcode("circle_list", "ht_circle_list");

function ht_square_list($atts, $content) {
	$content = str_replace('<ul>', '<ul class="rec-bulletlist">', do_shortcode($content));
	$content = preg_replace('#^<\/p>|<p>$#', '', $content);
	return $content;
}
add_shortcode("square_list", "ht_square_list");


/*
 * Buttons
 */


function ht_button1( $atts, $content = null ) {
	extract(shortcode_atts(array(
        'link'      => '#',
	), $atts));

	$content = "<a class=\"button-link\" href=\"" .$link. "\"><span>" .do_shortcode($content). "</span></a>";
	$content = preg_replace('#^<\/p>|<p>$#', '', $content);

	return $content;
}
add_shortcode('small_button', 'ht_button1');

function ht_button2( $atts, $content = null ) {
	extract(shortcode_atts(array(
        'link'      => '#',
	), $atts));

	$content = "<a class=\"large-button\" href=\"" .$link. "\"><span>" .do_shortcode($content). "</span></a>";
	$content = preg_replace('#^<\/p>|<p>$#', '', $content);

	return $content;
}
add_shortcode('large_button', 'ht_button2');

/*
 * Special Boxes
 */
function ht_download_box( $atts, $content = null ) {
	return '<div class="download-box">' . do_shortcode($content) . '</div>';
}
add_shortcode('download_box', 'ht_download_box');


function ht_warning_box( $atts, $content = null ) {
	return '<div class="warning-box">' . do_shortcode($content) . '</div>';
}
add_shortcode('warning_box', 'ht_warning_box');


function ht_info_box( $atts, $content = null ) {
	return '<div class="info-box">' . do_shortcode($content) . '</div>';
}
add_shortcode('info_box', 'ht_info_box');


function ht_note_box( $atts, $content = null ) {
	return '<div class="note-box">' . do_shortcode($content) . '</div>';
}
add_shortcode('note_box', 'ht_note_box');


function ht_box1( $atts, $content = null ) {
	return '<div class="fancy-box gradient-box"><p>' . do_shortcode($content) . '</p></div>';
}
add_shortcode('fancy_box', 'ht_box1');


function ht_box2( $atts, $content = null ) {
	extract(shortcode_atts(array(
       'title'      => 'title',
	), $atts));
	return '<div class="titled-box gradient-box"><h6 class="titled-box-header">'.do_shortcode($title).'</h6><p>' . do_shortcode($content) . '</p></div>';
}
add_shortcode('titled_box', 'ht_box2');


function ht_box3( $atts, $content = null ) {
	return '<div class="simple-box"><p>' . do_shortcode($content) . '</p></div>';
}
add_shortcode('simple_box', 'ht_box3');

/*
 * Dividers
 */
function ht_divider( $atts, $content = null ) {
	return '<div class="divider"></div>';
}
add_shortcode('hr', 'ht_divider');

function ht_divider_top( $atts, $content = null ) {
	return '<div class="divider top"><a href="#header">Top</a></div>';
}
add_shortcode('hr_top', 'ht_divider_top');

/*
 * Drop-Cap
 */

function ht_drop_cap( $atts, $content = null ) {
	return '<span class="dropcap">' . do_shortcode($content) . '</span>';
}
add_shortcode('dropcap1', 'ht_drop_cap');

function ht_drop_cap2( $atts, $content = null ) {
	return '<span class="dropcap2">' . do_shortcode($content) . '</span>';
}
add_shortcode('dropcap2', 'ht_drop_cap2');

/*
 * Pullquote
 */

function ht_callout_right( $atts, $content = null ) {
	$content = preg_replace('#^<\/p>|<p>$#', '', $content);

	return '<blockquote class="pullquote-right"><p>' . do_shortcode($content) . '</p></blockquote>';
}
add_shortcode('callout_right', 'ht_callout_right');


function ht_callout_left( $atts, $content = null ) {
	$content = preg_replace('#^<\/p>|<p>$#', '', $content);
	
	return '<blockquote class="pullquote-left"><p>' . do_shortcode($content) . '</p></blockquote>';
}
add_shortcode('callout_left', 'ht_callout_left');

function ht_pullquote( $atts, $content = null ) {
	extract(shortcode_atts(array(
       'cite'      => '',
	), $atts));
	$content = preg_replace('#^<\/p>|<p>$#', '', $content);
	
	return '<blockquote class="pullquote gradient-box"><div class="quote-mark"><img alt="" src="'.get_template_directory_uri().'/images/openquote_2.png" /></div><p>' . do_shortcode($content) . '<cite>'.$cite.'</cite></p></blockquote>';
}
add_shortcode('pullquote', 'ht_pullquote');

/*
 * Toggle
 */

function ht_toggle_content( $atts, $content = null ) {
	extract(shortcode_atts(array(
        'title'      => '',
	), $atts));

	$out .= '<div class="toggle-head"><h3>'.$title.'</h3></div>';
	$out .= '<div class="toggle-body" style="display: none;">
              <p> '.do_shortcode($content).'</p>
            </div>
			';

	return $out;
}
add_shortcode('toggle', 'ht_toggle_content');


function ht_framed_toggle_content( $atts, $content = null ) {
	extract(shortcode_atts(array(
        'title'      => '',
	), $atts));

	$out .= '<div class="gradient-box framed-toggle" style="clear:both">
			<div class="toggle-head"><h3>'.$title.'</h3></div>';
	$out .= '<div class="toggle-body" style="display: none;">
              <p> '.do_shortcode($content).'</p>
            </div></div>';

	return $out;
}
add_shortcode('frame_toggle', 'ht_framed_toggle_content');

/*
 * Text Highlight
 */

function ht_highlight1( $atts, $content = null ) {
	return '<span class="highlight1">' . do_shortcode($content) . '</span>';
}
add_shortcode('yellow', 'ht_highlight1');

function ht_highlight2( $atts, $content = null ) {
	return '<span class="highlight2">' . do_shortcode($content) . '</span>';
}
add_shortcode('black', 'ht_highlight2');

function ht_highlight3( $atts, $content = null ) {
	return '<span class="highlight3">' . do_shortcode($content) . '</span>';
}
add_shortcode('red', 'ht_highlight3');

/*
 * Image Frames
 */

function ht_frame_left( $atts, $content = null ) {
	return '<span class="frame alignleft"><img src="' . $content . '" title="" alt="" /></span>';
}
add_shortcode('frame_left', 'ht_frame_left');

function ht_frame_right( $atts, $content = null ) {
	return '<span class="frame alignright"><img src="' . $content . '" title="" alt="" /></span>';
}
add_shortcode('frame_right', 'ht_frame_right');

function ht_frame( $atts, $content = null ) {
	return '<span class="frame"><img src="' . $content . '" title="" alt="" /></span>';
}
add_shortcode('frame', 'ht_frame');

function ht_frame_center( $atts, $content = null ) {
	return '<p class="aligncenter"><span class="frame aligncenter"><img class="" src="' . $content . '" title="" alt="" /></span></p>';
}
add_shortcode('frame_center', 'ht_frame_center');


/*
 * Grid Columns
 */

function ht_one_third( $atts, $content = null ) {
	$content = preg_replace('#^<\/p>|<p>$#', '', $content);
	return '<div class="one_third">' . do_shortcode($content) . '</div>';
}
add_shortcode('one_third', 'ht_one_third');


function ht_one_third_last( $atts, $content = null ) {
	$content = preg_replace('#^<\/p>|<p>$#', '', $content);	
	return '<div class="one_third last">' . do_shortcode($content) . '</div><div class="fixbox"></div>';
}
add_shortcode('one_third_last', 'ht_one_third_last');


function ht_two_third( $atts, $content = null ) {
	
	$content = preg_replace('#^<\/p>|<p>$#', '', $content);
	return '<div class="two_third">' . do_shortcode($content) . '</div>';
}
add_shortcode('two_third', 'ht_two_third');


function ht_two_third_last( $atts, $content = null ) {
	$content = preg_replace('#^<\/p>|<p>$#', '', $content);
	return '<div class="two_third last">' . do_shortcode($content) . '</div><div class="fixbox"></div>';
}
add_shortcode('two_third_last', 'ht_two_third_last');


function ht_one_half( $atts, $content = null ) {
	
	$content = preg_replace('#^<\/p>|<p>$#', '', $content);
	return '<div class="one_half">' . do_shortcode($content) . '</div>';
}
add_shortcode('one_half', 'ht_one_half');


function ht_one_half_last( $atts, $content = null ) {
	
	$content = preg_replace('#^<\/p>|<p>$#', '', $content);
	return '<div class="one_half last">' . do_shortcode($content) . '</div><div class="fixbox"></div>';
}
add_shortcode('one_half_last', 'ht_one_half_last');


function ht_one_fourth( $atts, $content = null ) {
	
	$content = preg_replace('#^<\/p>|<p>$#', '', $content);
	return '<div class="one_fourth">' . do_shortcode($content) . '</div>';
}
add_shortcode('one_fourth', 'ht_one_fourth');


function ht_one_fourth_last( $atts, $content = null ) {
	
	$content = preg_replace('#^<\/p>|<p>$#', '', $content);
	return '<div class="one_fourth last">' . do_shortcode($content) . '</div><div class="fixbox"></div>';
}
add_shortcode('one_fourth_last', 'ht_one_fourth_last');


function ht_three_fourth( $atts, $content = null ) {
	
	$content = preg_replace('#^<\/p>|<p>$#', '', $content);
	return '<div class="three_fourth">' . do_shortcode($content) . '</div>';
}
add_shortcode('three_fourth', 'ht_three_fourth');


function ht_three_fourth_last( $atts, $content = null ) {
	
	$content = preg_replace('#^<\/p>|<p>$#', '', $content);
	return '<div class="three_fourth last">' . do_shortcode($content) . '</div><div class="fixbox"></div>';
}
add_shortcode('three_fourth_last', 'ht_three_fourth_last');





function ht_one_fifth( $atts, $content = null ) {
	
	$content = preg_replace('#^<\/p>|<p>$#', '', $content);
	return '<div class="one_fifth">' . do_shortcode($content) . '</div>';
}
add_shortcode('one_fifth', 'ht_one_fifth');


function ht_one_fifth_last( $atts, $content = null ) {
		$content = preg_replace('#^<\/p>|<p>$#', '', $content);
		return '<div class="one_fifth last">' . do_shortcode($content) . '</div><div class="fixbox"></div>';
}
add_shortcode('one_fifth_last', 'ht_one_fifth_last');


function ht_two_fifth( $atts, $content = null ) {
		$content = preg_replace('#^<\/p>|<p>$#', '', $content);
		return '<div class="two_fifth">' . do_shortcode($content) . '</div>';
}
add_shortcode('two_fifth', 'ht_two_fifth');


function ht_two_fifth_last( $atts, $content = null ) {
		$content = preg_replace('#^<\/p>|<p>$#', '', $content);
		return '<div class="two_fifth last">' . do_shortcode($content) . '</div><div class="fixbox"></div>';
}
add_shortcode('two_fifth_last', 'ht_two_fifth_last');

function ht_three_fifth( $atts, $content = null ) {
		$content = preg_replace('#^<\/p>|<p>$#', '', $content);
		return '<div class="three_fifth">' . do_shortcode($content) . '</div>';
}
add_shortcode('three_fifth', 'ht_three_fifth');


function ht_three_fifth_last( $atts, $content = null ) {
		$content = preg_replace('#^<\/p>|<p>$#', '', $content);
		return '<div class="three_fifth last">' . do_shortcode($content) . '</div><div class="fixbox"></div>';
}
add_shortcode('three_fifth_last', 'ht_three_fifth_last');

function ht_four_fifth( $atts, $content = null ) {
		$content = preg_replace('#^<\/p>|<p>$#', '', $content);
		return '<div class="four_fifth">' . do_shortcode($content) . '</div>';
}
add_shortcode('four_fifth', 'ht_four_fifth');


function ht_four_fifth_last( $atts, $content = null ) {
		$content = preg_replace('#^<\/p>|<p>$#', '', $content);
		return '<div class="four_fifth last">' . do_shortcode($content) . '</div><div class="fixbox"></div>';
}
add_shortcode('ht_four_fifth_last', 'ht_four_fifth_last');



?>