<?php

// Bootstrap file for getting the ABSPATH constant to wp-load.php
require_once('config.php');

// check for rights
if ( !is_user_logged_in() || !current_user_can('edit_posts') ) 
	wp_die(__("You are not allowed to be here"));
?>

<html xmlns="http://www.w3.org/1999/xhtml">
<head>
	<title><?php echo $theme_name .' Shortcodes'; ?></title>
	<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php echo get_option('blog_charset'); ?>" />
	<script language="javascript" type="text/javascript" src="<?php echo get_option('siteurl') ?>/wp-includes/js/tinymce/tiny_mce_popup.js"></script>
	<script language="javascript" type="text/javascript" src="<?php echo get_option('siteurl') ?>/wp-includes/js/tinymce/utils/mctabs.js"></script>
	<script language="javascript" type="text/javascript" src="<?php echo get_option('siteurl') ?>/wp-includes/js/tinymce/utils/form_utils.js"></script>
	<script language="javascript" type="text/javascript" src="<?php echo get_template_directory_uri() ?>/options/tinymce/tinymce.js"></script>
	<base target="_self" />
</head>
<body id="link" onLoad="tinyMCEPopup.executeOnLoad('init();');document.body.style.display='';" style="display: none">
	<form name="ht_shortcodes" action="#">
	<div class="tabs">
		<ul>
			<li id="shortcodes_tab" class="current"><span><a href="javascript:mcTabs.displayTab('shortcodes_tab','shortcodes_panel');" onMouseDown="return false;"><?php echo 'Styles'; ?></a></span></li>
		</ul>
	</div>
	
	<div class="panel_wrapper" style="height:142px;">
		<!-- shortcodes_panel -->
		<div id="shortcodes_panel" class="panel current">
		<br />
		<fieldset>
			<legend>Select the Style Shortcode you would like to insert into the post.</legend>
		<table border="0" cellpadding="4" cellspacing="0">
         <tr>
            <td nowrap="nowrap"><label for="style_shortcode">Select Custom Shortcode:</label></td>
            <td>
            <select id="style_shortcode" name="style_shortcode" style="width: 200px">
                <option value="0">No Style</option>
                <optgroup label="Buttons">
                <option value="small_button">Small Button </option>
                <option value="large_button">Large Button </option>
                </optgroup>
                <optgroup label="Information Boxes">
                <option value="warning_box">Warning</option>
                <option value="download_box">Download</option>
                <option value="note_box">Note</option>
                <option value="info_box">Info</option>
                <option value="simple_box">Simple Box</option>
                <option value="fancy_box">Fancy Box</option>
                <option value="titled_box">Titled Box</option>
                </optgroup>
                <optgroup label="Lists">
                <option value="arrow_list">Arrow List</option>
                <option value="check_list">Check List</option>
                <option value="circle_list">Circle Bullet</option>
                <option value="square_list">Square Bullet</option>
                </optgroup>
                <optgroup label="DropCap">
                <option value="dropcap1">Drop Cap1</option>
                <option value="dropcap2">Drop Cap2</option>
                </optgroup>
                <optgroup label="Divider">
                <option value="hr_top">Divider Top</option>
                <option value="hr">Divider</option>
                
                </optgroup>
                <optgroup label="Callout / Pullquote">
                <option value="callout_left">Left Aligned</option>
                <option value="callout_right">Right Aligned</option>
                <option value="pullquote">Pullquote</option>
                </optgroup>
                <optgroup label="Toggle">
                <option value="toggle">Simple</option>
                <option value="frame_toggle">Framed</option>
                </optgroup>
                <optgroup label="Highlights">
                <option value="yellow">Yello</option>
                <option value="black">Black</option>
                <option value="red">Red</option>
                </optgroup>
                <optgroup label="Image Frames">
                <option value="frame_left">Left Aligned</option>
                <option value="frame_right">Right Aligned</option>
                <option value="frame_center">Centered</option>
                <option value="frame">Not Aligned</option>
                
                </optgroup>
              </select>
            </td>
          </tr>
        </table>
		</fieldset>
		</div>
		
	
	</div>

	<div class="mceActionPanel">
		<div style="float: left">
			<input type="button" id="cancel" name="cancel" value="<?php echo "Cancel"; ?>" onClick="tinyMCEPopup.close();" />
		</div>

		<div style="float: right">
			<input type="submit" id="insert" name="insert" value="<?php echo "Insert"; ?>" onClick="InsertShortcodes();" />
		</div>
	</div>
</form>
</body>
</html>
